# frozen_string_literal: true

module Hermes
  module Concerns
    # Access current_user_id in models
    module AuditableConcern
      extend ActiveSupport::Concern

      included do
        def self.current_user_id
          Thread.current[:current_user_id]
        end

        def self.current_user_id=(user_id)
          Thread.current[:current_user_id] = user_id
        end
      end
    end
  end
end
